Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

May be this be interesting not only me - i think subject can be useful in some cases

Related issues:

Related to Redmine - Patch #9359: invert project <-> repository relationship New 2011-09-30
Is duplicate of Redmine - Feature #779: Multiple SCM per project Closed 2008-03-04
History

#1 - 2009-06-11 13:57 - David Holm

I would like to second this feature request. At work we have three repositories for one of our projects. One contains our platform independent software
platform and the two others contain toolchains and platform specific code for the hardware platforms that we support.

Most bugs are related to our own software but some are fixed in one of the toolchain repositories and it would be nice if they could all reference the
same master project.

#2 - 2009-08-20 09:42 - Thomas M
I'm also looking for this feature.
In my case projects are using several folders of the same repository (a subset of all the folders available).

#3 - 2009-08-21 09:21 - Babar O'Cap

I've a workaround :

First of all, create a new project ProjectB, who will be a sub-project of ProjectA

and in Modules panel only enable repository, if you just want an other repository of course ;)
Finally download and apply my last patch of Issue #3346

Now, when you are in ProjectA, you can link to your second repository with this wiki syntax : r:ProjectB:r1 or commit:ProjectB:a85130f

#4 - 2009-08-21 17:01 - Adam Piotr Zochowski

I think your patch answers previously asked for feature:
#3216 - ability to link commit/revision across projects through wiki

On a related note, there was some work done on nicer handling of a project with multiple repositories (with patches):
#3087 - Commit on one project can reference issue from another, related, project.
#3376 - Commit properly linking across projects (when issue is moved, or through #3087)

Basically, make parent project with issues. Make children projects with repositories (without issues). Now your parent project will feed children
commits and close your issues.

Kind regards
Adam Zochowski

#5 - 2009-08-24 17:27 - Marc Mengel

| would vote for this, too. Especially for Git repositories -- since you can only checkout whole repositories, more smaller repositories makes sense. |
think this sub-project model makes good sense, too.

#6 - 2009-09-03 20:57 - William Baum

The patch in #3346 sounds very interesting, as the ability to do cross project repository source links is something I'm very interested in.

However, the main thrust of this request is the ability to associate revisions from multiple repositories, which | now have working well.
The patch in #3087 allows linking repositories and parent project repositories, and I've now updated that issue with a slight change that allows
revisions in any tracked repository to be associated with issues in any project, which for most practical purposes allows unlimited repositories per
project.

--Bill

#7 - 2009-11-04 09:39 - CS Wong

I'd vote for this too. Creating multiple sub-projects if we have multiple repos is quite a hassle. | wanted to move our support issue tracker over to
redmine but we have about 12 repos and creating 12 sub-projects in order to allow us to see the changesets associated to issues is really
troublesome.

#8 - 2010-01-22 10:21 - Christian Ceelen

| would vote for this feature too. Given for instance a software containing many small components each with it's own repository and distribution
mechanism. Then a single project that would require a series of small modifications of a subset of these components does not need to open a new
sub project for every component. Especially if several different repository types have to be mixed within one project.

#9 - 2010-01-22 20:31 - Kai Krakow

Marc Mengel wrote:

Especially for Git repositories -- since you can only checkout whole repositories, more smaller repositories makes sense. | think this sub-project
model makes good sense, too.

In the special case of a distributed vcs like Git et al this is obviously useful to track multiple developers forks which are to be merged back into a main
project.

| also want to add that it is currently not possible to relocate a repository url (eg if it changed the hoster). Of course one should keep in mind that there
may be references to commits in the issues and comments (eg "Code Review" plugin makes heavy use of that) and these links need to be rewriten
which may be impossible if you not only move to another host but also move to another vcs. This is where having multiple repositories per project
comes in handy. One should be able to define some sort of translation mapping from old commit ids to new ones and optionally freezing the old
repository url so it can no longer receive new commit links.

#10 - 2010-10-27 16:29 - Robert Maron

| would definitely vote 'yes' for this feature.
We create subprojects to cover multiple repositories, but this is not the right way to do things ;)

#11 - 2010-11-24 17:34 - Tatyana Matveyeva

Since we have several repositories for single project, | would vote for this feature too.

#12 - 2011-03-08 21:29 - kid smart

vote yes for this feature

#13 - 2011-03-13 10:21 - Dave Abrahams

+1

#14 - 2011-03-16 12:21 - Emerson J. Morgado Brito

| vote yes for this feature too, we have several repositories for a project.

#15 - 2011-03-16 19:00 - John Pataki

+1

#16 - 2011-03-17 04:21 - Joshua Rieken

+1

#17 - 2011-03-17 14:17 - Andy Bolstridge

Issue 779 is a duplicate of this one and has more activity, perhaps its worth closing this and directing all comments to that issue instead.

#18 - 2011-03-18 03:50 - Toshi MARUYAMA
- Category changed from Projects to SCM

#19 - 2011-03-27 11:58 - pasquale [:dedalus]

+1
#20 - 2011-03-31 17:16 - Louis Simons

+1, would be nice to have seperate repos for hardware and software aspects of a project

#21 - 2011-04-11 19:36 - Patrick Cummins

+1

#22 - 2011-04-20 10:15 - Pavel Pivovarov

+1

#23 - 2011-09-06 07:06 - Don Doffe

+1

#24 - 2011-11-01 06:49 - Charles Sporkman

+1

#25 - 2011-11-02 23:12 - Terence Mill

We would use this feature to have on repsoitory for source code (developer team)and one one for documentation (analysts team), where the the last
one will accessivle via webdav from windows explorer (http://www.redmine.org/projects/redmine/wiki/PluginWebDav).

The read/write rights per repository should be setable per role.
+1

#26 - 2011-11-03 16:07 - Andy Bolstridge

| disagree that repo permissions should be part of redmine - they are something that should be set in SVN itself. Redmine just provides the links to
the repo.

Still, it's another example why there should be multiple repositories per project.

| implemented the patch, it works for the general case, but it does not work with many plugins that expect a single repo. So | think this really needs to
be added to the main codebase.

Also, can we close this bug and add everything to bug #779 which is the original report for multip repos per project.

#27 - 2011-12-03 17:58 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #779.
